changing to NEXUS_DOCKER_REPO via Marco. Tags
Change-Id: I8cdbf98141070f89dd3c668a1aa3317fc9df2683
Signed-off-by: Pamela Dragosh <pdragosh@research.att.com>
diff --git a/docker_verify.sh b/docker_verify.sh
index 3142084..3c9be83 100755
--- a/docker_verify.sh
+++ b/docker_verify.sh
@@ -6,12 +6,35 @@
#
DOCKER_REPOSITORY=nexus3.openecomp.org:10003
MVN_VERSION=$(cat target/version)
+MVN_MAJMIN_VERSION=$(cut -f 1,2 -d . target/version)
TIMESTAMP=$(date -u +%Y%m%dT%H%M%S)
echo $DOCKER_REPOSITORY
echo $MVN_VERSION
+echo $MVN_MAJMIN_VERSION
echo $TIMESTAMP
+if [[ -z $MVN_VERSION ]]
+then
+ echo "MVN_VERSION is empty"
+ exit 1
+fi
+
+if [[ -z $MVN_MAJMIN_VERSION ]]
+then
+ echo "MVN_MAJMIN_VERSION is empty"
+ exit 1
+fi
+
+if [[ $MVN_VERSION == *"SNAPSHOT"* ]]
+then
+ MVN_MAJMIN_VERSION="${MVN_MAJMIN_VERSION}-SNAPSHOT"
+else
+ MVN_MAJMIN_VERSION="${MVN_MAJMIN_VERSION}-STAGING"
+fi
+
+echo $MVN_MAJMIN_VERSION
+
cp policy-pe/* target/policy-pe/
cp policy-drools/* target/policy-drools/
@@ -20,9 +43,17 @@
mkdir -p target/$image
cp $image/* target/$image
+ #
+ # This is the local latest tagged image. The Dockerfile's need this to build images
+ #
TAGS="--tag openecomp/policy/${image}:latest"
- TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:latest"
- TAGS="${TAGS} --tag openecomp/policy/${image}:${MVN_VERSION}-${TIMESTAMP}"
+ #
+ # This has the nexus repo prepended and only major/minor version with latest
+ #
+ TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:${MVN_MAJMIN_VERSION}-latest"
+ #
+ # This has the nexus repo prepended and major/minor/patch version with timestamp
+ #
TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:${MVN_VERSION}-${TIMESTAMP}"
echo $TAGS